//check if they have the t+t melee 1
%error1 = ForceRequiredAddOn("Weapon_Melee_Extended");
if(%error1 == $Error::AddOn_NotFound)
{
	error("ERROR: Weapon_Melee_Extended_II - required add-on Weapon_Melee_Extended not found");
	%abort = true;
}

if(!$TTMeleeIsRestoredVersion)
{
	error("ERROR: Weapon_Melee_Extended_II - required add-on Weapon_Melee_Extended is not the restored version");
	%abort = true;
}

//chainsaw requires the gun
%error2 = ForceRequiredAddOn("Weapon_Gun");
if(%error2 == $Error::AddOn_NotFound)
{
	error("ERROR: Weapon_Melee_Extended_II - required add-on Weapon_Gun not found");
	%abort = true;
}

$TTMelee2IsRestoredVersion = true;

if(%abort)
	return;

//prefs
if($Pref::Server::TTMelee::HatchetAlternateModel $= "")
	$Pref::Server::TTMelee::HatchetAlternateModel = false;

//rtb prefs
if($RTB::Hooks::ServerControl)
	RTB_registerPref("Use alternate model with wood stock", "T+T Melee - Hatchet", "$Pref::Server::TTMelee::HatchetAlternateModel", "bool", "Weapon_Melee_Extended_II", false, true, false, false);

//support files
exec("./Support_SpecialKills.cs");

//weapons
exec("./Weapon_L4BCookingKnife.cs");
exec("./Weapon_L4BKnifeonaStick.cs");
exec("./Weapon_L4BChainsaw.cs");
exec("./Weapon_L4BPaddle.cs");
exec("./Weapon_L4BNailbat.cs");
exec("./Weapon_L4BAxe.cs");
exec("./Weapon_RiotShield.cs");

//ui name prefix trickery
if($Pref::Server::TTMelee::UINamePrefixes)
{
	L4BCookingKnifeItem.uiName	= "[T+TM2] Chef's Knife";
	L4BKnifeonaStickItem.uiName	= "[T+TM2] Knife-Pole";
	L4BChainsawItem.uiName		= "[T+TM2] Chainsaw";
	L4BPaddleItem.uiName		= "[T+TM2] Paddle";
	L4BNailbatItem.uiName		= "[T+TM2] Nailboard";
	L4BAxeItem.uiName			= "[T+TM2] Hatchet";
	RiotTTShieldItem.uiName		= "[T+TM2] Riot Shield";
}
else
{
	L4BCookingKnifeItem.uiName	= "Chef's Knife";
	L4BKnifeonaStickItem.uiName	= "Knife-Pole";
	L4BChainsawItem.uiName		= "Chainsaw";
	L4BPaddleItem.uiName		= "Paddle";
	L4BNailbatItem.uiName		= "Nailboard";
	L4BAxeItem.uiName			= "Hatchet";
	RiotTTShieldItem.uiName		= "Riot Shield";
}

//this allows weapons saved under prefixed ui names to load as the unprefixed versions and vice versa
if($Pref::Server::TTMelee::UINamePrefixes)
{
	$uiNameTable_Items["Chef's Knife"]	= "L4BCookingKnifeItem";
	$uiNameTable_Items["Knife-Pole"]	= "L4BKnifeonaStickItem";
	$uiNameTable_Items["Chainsaw"]		= "L4BChainsawItem";
	$uiNameTable_Items["Paddle"]		= "L4BPaddleItem";
	$uiNameTable_Items["Nailboard"]		= "L4BNailbatItem";
	$uiNameTable_Items["Hatchet"]		= "L4BAxeItem";
	$uiNameTable_Items["Riot Shield"]	= "RiotTTShieldItem";
}
else
{
	$uiNameTable_Items["[T+TM2] Chef's Knife"]	= "L4BCookingKnifeItem";
	$uiNameTable_Items["[T+TM2] Knife-Pole"]	= "L4BKnifeonaStickItem";
	$uiNameTable_Items["[T+TM2] Chainsaw"]		= "L4BChainsawItem";
	$uiNameTable_Items["[T+TM2] Paddle"]		= "L4BPaddleItem";
	$uiNameTable_Items["[T+TM2] Nailboard"]		= "L4BNailbatItem";
	$uiNameTable_Items["[T+TM2] Hatchet"]		= "L4BAxeItem";
	$uiNameTable_Items["[T+TM2] Riot Shield"]	= "RiotTTShieldItem";
}